| Electronic Components Datasheet Search |
|
RFC Distributor |
| Distributor | Part # | Manufacturer | Description | Price | Qty. BuyNow | |
![]() Onlinecomponents.com | RFC-1414 | Quest Technology International Inc | Cable Assembly, TNC Plug x2, RG-58A/U Cbl, 5ft. | Quest Technology International Inc. RFC-1414 RoHS : Compliant |
| 0 | |
| RFC-2134 | Quest Technology International Inc | RoHS : Compliant |
| 0 | ||
| RFC-1122 | Quest Technology International Inc | Cable Assembly, BNC Plug x2, RG-59B/U Cbl, 24", Black, UL Stds, Non Booted | Quest Technology International Inc.... RoHS : Compliant |
| 0 | ||
| RFC-1214 | Quest Technology International Inc | Cable Assembly, BNC Plug x2, Right Angle, RG-58A/U Cbl, 5ft., Black, UL Stds | Quest Technology International Inc.... RoHS : Compliant |
| 0 | ||
| RFC-1935 | Quest Technology International Inc | RoHS : Compliant |
| 0 | ||
| RFC-2212 | Quest Technology International Inc | Cable Assembly, UHF Plug x2, RG-58A/U Cbl, 24", Non Booted | Quest Technology International Inc. RFC-2212 RoHS : Compliant |
| 0 | ||
| RFC-1121 | Quest Technology International Inc | Cable Assembly, BNC Plug x2, RG-59B/U Cbl, 12", Black, UL Stds, Non Booted | Quest Technology International Inc.... RoHS : Compliant |
| 0 | ||
| RFC-1531 | Quest Technology International Inc | Cable Assembly, SMA Plug x2, RG-58C/U Cbl, 12", Non Booted | Quest Technology International Inc. RFC-1531 RoHS : Compliant |
| 0 | ||
| RFC-1811 | Quest Technology International Inc | Cable Assembly, N Plug x2, RG-58A/U Cbl, 12" | Quest Technology International Inc. RFC-1811 RoHS : Compliant |
| 0 | ||
| RFC-1225 | Quest Technology International Inc | Cable Assembly, BNC Plug x2, Right Angle, RG-59B/U Cbl, 7ft., Black, UL Stds | Quest Technology International Inc.... RoHS : Compliant |
| 0 | ||
| RFC-1221 | Quest Technology International Inc | Cable Assembly, BNC Plug x2, Right Angle, RG-59B/U Cbl, 12", Black, UL Stds, Non Booted | Quest Technology... RoHS : Compliant |
| 0 | ||
| RFC-2131 | Quest Technology International Inc | Cable Assy; 12 in.; RG-58C/U RoHS : Compliant |
| 0 | ||
| RFC-2135 | Quest Technology International Inc | Cable Assy; 7 ft.; RG-58C/U RoHS : Compliant |
| 0 | ||
| RFC-2214 | Quest Technology International Inc | Cable Assembly, UHF Plug x2, RG-58A/U Cbl, 5ft. | Quest Technology International Inc. RFC-2214 RoHS : Compliant |
| 0 | ||
| RFC-1216 | Quest Technology International Inc | Cable Assembly, BNC Plug x2, Right Angle, RG-58A/U Cbl, 10ft., Black, UL Stds | Quest Technology International Inc.... RoHS : Compliant |
| 0 | ||
![]() Verical | RFC02MM2STR | ROHM Semiconductor | Diode Switching Si 200V 0.5A 2-Pin PMDU T/R RoHS : Exempt |
| 5,330 | |
| RFC02MM2STFTR | ROHM Semiconductor | Diode Switching Si 200V 0.5A 2-Pin PMDU T/R Automotive AEC-Q101 RoHS : Exempt |
| 3,000 | ||
| RFCYP-19-Z | JST Manufacturing | RFCYP-19-Z |
| 440 | ||
| RFCP-36W0-E | JST Manufacturing | RFCP-36W0-E |
| 400 | ||
| RFCP-15S3-SRL-K | JST Manufacturing | RFCP-15S3-SRL-K |
| 320 | ||
| RFCYP-17-Z | JST Manufacturing | RFCYP-17-Z |
| 315 | ||
| RFC02MM2STFTR | ROHM Semiconductor | Diode Switching Si 200V 0.5A 2-Pin PMDU T/R Automotive AEC-Q101 RoHS : Exempt |
| 277 | ||
| RFCP-24W6-E. | JST Manufacturing | RFCP-24W6-E. |
| 200 | ||
| RFCYP-19-Z | JST Manufacturing | RFCYP-19-Z |
| 185 | ||
| RFC02MM2STR | ROHM Semiconductor | Diode Switching Si 200V 0.5A 2-Pin PMDU T/R RoHS : Exempt |
| 154 | ||
| RFCP-36W6-E. | JST Manufacturing | RFCP-36W6-E. |
| 116 | ||
| RFC02MM2STR | ROHM Semiconductor | Diode Switching Si 200V 0.5A 2-Pin PMDU T/R RoHS : Exempt |
| 40 | ||
| RFC02MM2STFTR | ROHM Semiconductor | Diode Switching Si 200V 0.5A 2-Pin PMDU T/R Automotive AEC-Q101 RoHS : Exempt |
| 32 | ||
| RFC-2216 | Quest Technology International Inc | RFC-2216 |
| 5 | ||
| RF CATV KIT | Rigol Technologies | Kit Includes 50 Ω to 75 Ω Adaptor (2pcs) RoHS : Compliant |
| 5 | ||
![]() Avnet Americas | CAS17C102KARFC | KEMET Corporation | Ceramic Suppression Capacitor, 1000 pF, ? 10%, X1 / Y2, 250 VAC, 250 VAC, 1808 [4520 Metric] - Product that comes on tape, but is not reeled (Alt: 71AH0541) RoHS : Not Compliant |
| 0 | |
| DDB2U80N12W3RFC39BPSA1 | Infineon Technologies AG | - Trays (Alt: DDB2U80N12W3RFC39BPSA1) RoHS : Compliant |
| 0 | ||
| CAS17C102KARFC | KEMET Corporation | Ceramic Suppression Capacitor, 1000 pF, ? 10%, X1 / Y2, 250 VAC, 250 VAC, 1808 [4520 Metric] - Tape and Reel (Alt: CAS17C102KARFC) RoHS : Compliant |
| 0 | ||
| CAS17C221KARFC | KEMET Corporation | Ceramic Suppression Capacitor, 220 pF, ? 10%, X1 / Y2, 250 VAC, 250 VAC, 1808 [4520 Metric] - Tape and Reel (Alt: CAS17C221KARFC) RoHS : Compliant |
| 0 | ||
| CAS18C181KARFC | KEMET Corporation | Ceramic Suppression Capacitor, 180 pF, ? 10%, X1 / Y2, 250 VAC, 250 VAC, 1812 [4532 Metric] - Tape and Reel (Alt: CAS18C181KARFC) RoHS : Compliant |
| 0 | ||
| CAS26C182KARFC | KEMET Corporation | Ceramic Suppression Capacitor, 1800 pF, ? 10%, X1 / Y2, 250 VAC, 250 VAC, 2211 [5728 Metric] - Tape and Reel (Alt: CAS26C182KARFC) RoHS : Compliant |
| 0 | ||
| 228ADS1ARFCWD | CTS Corporation | - Trays (Alt: 228ADS1ARFCWD) RoHS : Compliant |
| 0 | ||
| 228ADS2ARFCAE | CTS Corporation | - Trays (Alt: 228ADS2ARFCAE) RoHS : Compliant |
| 0 | ||
| 228ADVARFCBBE | CTS Corporation | - Trays (Alt: 228ADVARFCBBE) RoHS : Compliant |
| 0 | ||
| 228CMVARFCNR | CTS Corporation | - Tape and Reel (Alt: 228CMVARFCNR) RoHS : Compliant |
| 0 | ||
| RFC-NM-SMR-1000 | Weidmüller Interface GmbH & Co. KG | - Bulk (Alt: RFC-NM-SMR-1000) | 0 | |||
| 228ADS2ARFCMSB | CTS Corporation | - Trays (Alt: 228ADS2ARFCMSB) RoHS : Compliant |
| 0 | ||
| 228CMVARFCMBAR | CTS Corporation | - Tape and Reel (Alt: 228CMVARFCMBAR) RoHS : Compliant |
| 0 | ||
| ACCRFCL25 | Vishay Intertechnologies | - Bulk (Alt: ACCRFCL25) RoHS : Not Compliant |
| 0 | ||
| IRFC450B | Vishay Intertechnologies | - Bulk (Alt: IRFC450B) RoHS : Not Compliant | 0 | |||
![]() Mouser Electronics | RFC02MM2STFTR | ROHM Semiconductor | Rectifiers 200V VR 0.5A IO SOD-123FL; PMDU RoHS : Compliant |
| 5,403 | |
| RFCT-SMA-CAP-GS-1 | Global Connector Technology | RF Connector Accessories SMA Cap without chain IP67 RoHS : Compliant |
| 1,056 | ||
| RFCT-SMA-CAP-GS-7 | Global Connector Technology | RF Connector Accessories SMA Cap without chain IP67, Nickel-plated Brass |
| 712 | ||
| RFCT-TNC-CAP-GS-2 | Global Connector Technology | RF Connector Accessories TNC Cap with chain IP67 RoHS : Compliant |
| 572 | ||
| RFCT-SMA-CAP-GS-5 | Global Connector Technology | RF Connector Accessories SMA Cap without chain IP67 Stainless steel |
| 454 | ||
| RFCT-N-CAP-GS-1 | Global Connector Technology | RF Connector Accessories N Cap with chain IP67 RoHS : Compliant |
| 453 | ||
| RFC0807B-334KE | Coilcraft Inc | Power Inductors - Leaded 330uH UnShld 10% 720mA 1.05ohms RoHS : Compliant |
| 341 | ||
| RFCT-BNC-CAP-GS-3 | Global Connector Technology | RF Connector Accessories BNC Cap without chain RoHS : Compliant |
| 239 | ||
| RFCT-TNC-CAP-GS-3 | Global Connector Technology | RF Connector Accessories TNC Cap without chain IP67 RoHS : Compliant |
| 198 | ||
| RFCT-BNC-CAP-GS-2 | Global Connector Technology | RF Connector Accessories BNC Cap with chain |
| 142 | ||
| RFC0807B-274KE | Coilcraft Inc | Power Inductors - Leaded 270uH UnShld 10% 800mA 805mOhms RoHS : Compliant |
| 66 | ||
| RFC0807B-275KE | Coilcraft Inc | Power Inductors - Leaded 2.7 mH UnShld 10% 240mA 8ohms RoHS : Compliant |
| 52 | ||
| RFC0807B-564KE | Coilcraft Inc | Power Inductors - Leaded 560uH UnShld 10% 520mA 1.7ohms RoHS : Compliant |
| 14 | ||
| 2700784 | Phoenix Contact | Programmable Logic Controllers - PLCs RFC 460R PN 3TX |
| 0 | ||
| 2916794 | Phoenix Contact | Programmable Logic Controllers - PLCs RFC 470S PN 3TX |
| 0 | ||
![]() Arrow Electronics | RFC02MM2STR | ROHM Semiconductor | Diode Switching Si 200V 0.5A 2-Pin PMDU T/R RoHS : Exempt |
| 40 | |
| RFC02MM2STFTR | ROHM Semiconductor | Diode Switching Si 200V 0.5A 2-Pin PMDU T/R Automotive AEC-Q101 RoHS : Exempt |
| 32 | ||
| RF CATV KIT | Rigol Technologies | Kit Includes 50 Ω to 75 Ω Adaptor (2pcs) RoHS : Compliant |
| 5 | ||
![]() Newark | MFR3-56RFC | TT Electronics Welwyn Components | Res, 56R, 1%, 400Mw, Axial, Metal Film; |Tt Electronics/welwyn MFR3-56RFC RoHS : Compliant |
| 33,980 | |
| TLP785(GR,F(C | Toshiba America Electronic Components | Optocoupler, Transistor, 5Kv, Dip-4; |Toshiba TLP785(GR, F(C RoHS : Compliant |
| 2,542 | ||
| GRFC-10 | Kitagawa Industries Co Ltd | Ferrite Core, Split, 10.5Mm, 105Ohm; |Kgs Kitagawa GRFC-10 RoHS : Compliant |
| 1,314 | ||
| CAS17C102KARFC | KEMET Corporation | Cap, Sup, Cer, 1000Pf, ±10%, X1/Y2; |Kemet CAS17C102KARFC RoHS : Compliant |
| 1,000 | ||
| CAS17C102KARFC | KEMET Corporation | Cap, Sup, Cer, 1000Pf, ±10%, X1/Y2; |Kemet CAS17C102KARFC RoHS : Compliant |
| 1,000 | ||
| GRFC-7 | Kitagawa Industries Co Ltd | Ferrite Core, Split, 7Mm, 45Ohm; |Kgs Kitagawa GRFC-7 RoHS : Compliant |
| 362 | ||
| ACM20-4-AC1-R-F-C | Murata Power Solutions | Power Meter; No. Of Digits/Alpha:4; Meter Function:Ac Current/Ac Voltage/Frequency/Power; Meter Range:0A To 32A/85V To 264V/47Hz To 63Hz/0W To 9999W; Digit Height:9.14Mm; Panel Cutout Height:22.1Mm; Supply Current:100A Rohs Compliant: Yes RoHS : Compliant |
| 87 | ||
| CAS17C102KARFC | KEMET Corporation | Suppression Cap, 1000Pf, Class X1/Y2; |Kemet CAS17C102KARFC RoHS : Compliant |
| 13 | ||
| CAS17C102KARFC | KEMET Corporation | Suppression Cap, 1000Pf, Class X1/Y2; |Kemet CAS17C102KARFC RoHS : Compliant |
| 13 | ||
| FCA-S2SR-FCASTU-05M | L-com Inc | Fc-Apc To St-Upc 9/125 Singlemode Simple; |L-Com FCA-S2SR-FCASTU-05M RoHS : Not Compliant |
| 5 | ||
| FCA-S2SR-FCAFCU-05M | L-com Inc | Fc-Apc To Fc-Upc 9/125 Singlemode Simple; |L-Com FCA-S2SR-FCAFCU-05M RoHS : Not Compliant |
| 4 | ||
| RFCT-N-CAP-GS-1 | Global Connector Technology | Mtl Protective Cap/Brass/N-Typ Jack Conn; |Gct RFCT-N-CAP-GS-1 RoHS : Compliant |
| 2 | ||
| FCA-S2SR-FCASCU-02M | L-com Inc | Fc-Apc To Sc-Upc 9/125 Singlemode Simple; |L-Com FCA-S2SR-FCASCU-02M RoHS : Not Compliant |
| 2 | ||
| FCA-S2SR-FCAFCA-15M | L-com Inc | Fc-Apc To Fc-Apc 9/125 Singlemode Simple; |L-Com FCA-S2SR-FCAFCA-15M RoHS : Not Compliant |
| 1 | ||
| FCA-S2SR-FCASCU-01M | L-com Inc | Fc-Apc To Sc-Upc 9/125 Singlemode Simple; |L-Com FCA-S2SR-FCASCU-01M RoHS : Not Compliant |
| 1 | ||
![]() NXP Semiconductors | 1320XRFC | NXP Semiconductors | MC1320X RF DAUGHTER CARD, RoHS : Not Compliant |
| 0 | |
![]() RS | 1609133-2 (6ESRFC3) | TE Connectivity | IEC SOCKET, 15 A/250 VAC, QC TABS TERMINAL, PANEL MOUNT, SR SERIES |
| 838 | |
| RFC-2216 | Quest Technology International Inc | CABLE ASSEMBLY, UHF PLUG X2, RG-58A/U CBL, 10FT., NON BOOTED |
| 44 | ||
| CRF-CX | ILME UK Ltd | ACCESSORY, STAINLESS STEEL FEMALE CODING PIN FOR MIXO |
| 28 | ||
| RFC-1326 | Quest Technology International Inc | CABLE ASSEMBLY, BNC PLUG, BNC JACK, RG-59B/U CBL,10FT.,BLACK, UL STDS, NON BOOTED |
| 13 | ||
| RT-120E-R+FC015 | PATLITE Corporation | REVOLVING LIGHT, 162MM, 32 SOUND HORN, 105DB, 4 CHANNEL, 120VAC, BEIGE, RED |
| 7 | ||
| RFC-2215 | Quest Technology International Inc | CABLE ASSEMBLY, UHF PLUG X2, RG-58A/U CBL, 7FT. |
| 5 | ||
| RT-24E-R+FC015 | PATLITE Corporation | ROTATING BEACON WITH 8-CHANNEL ALARM WITH 32 PRE-PROGRAMMED SOUNDS; RED |
| 3 | ||
| RFC-1813 | Quest Technology International Inc | CABLE ASSEMBLY, N PLUG X2, RG-58A/U CBL, 36" |
| 2 | ||
| RFC-1533 | Quest Technology International Inc | CABLE ASSEMBLY, SMA PLUG X2, RG-58C/U CBL, 36", NON BOOTED |
| 1 | ||
| RFC-1112 | Quest Technology International Inc | CABLE ASSEMBLY, BNC PLUG X2, RG-58A/U CBL, 24", BLACK, UL STDS, NON BOOTED |
| 1 | ||
| RFC-1114 | Quest Technology International Inc | CABLE ASSEMBLY, BNC PLUG X2, RG-58A/U CBL, 5FT., BLACK, UL STDS, NON BOOTED |
| 1 | ||
| DGRF-C-GF-25-50-P | Festo | GUIDED ACTUATOR |
| 1 | ||
| CRFCF-PN210T | Sealmaster | MOUNTED BALL BEARING, FLANGE, PILOTED, STD DUTY, TRIPLE LIP CONTACT SEAL, 50MM |
| 0 | ||
| CAS17C102KARFC | KEMET Corporation | CAPACITOR, FILM, SFTY 1808 1NF X1 250 / Y2 250 X7R, REEL RoHS : Compliant |
| 0 | ||
| GRFC207D-35MM (PER.GRFC207) | PEER Bearing Company | PEER MOUNTED COMPONENTS (MC) |
| 0 | ||
![]() STMicroelectronics | SPSGRFC-868 | STMicroelectronics | Sub-1 GHz (433, 868 or 915 MHz) programmable transceiver module with UFL connector RoHS : Compliant |
| 24 | |
| SPSGRFC-433 | STMicroelectronics | Sub-1 GHz (433, 868 or 915 MHz) programmable transceiver module with UFL connector RoHS : Compliant |
| 0 | ||
| SPSGRFC-915 | STMicroelectronics | Sub-1 GHz (433, 868 or 915 MHz) programmable transceiver module with UFL connector RoHS : Compliant |
| 0 | ||
![]() Microchip Technology Inc | INTRFCEV | Microchip Technology Inc | Power Supply and Interface Noise Board, Projected EOL: |
| 3 | |
| MRFC544 | Microchip Technology Inc | 200MHZ, CW, 25V, NPN Power Transistor, DIE, Projected EOL: 2050-10-27 - Contact for Pricing | 0 | |||
| MRFC545 | Microchip Technology Inc | 200MHZ, CW, 25V, PNP Power Transistor, DIE, Projected EOL: 2050-10-27 - Contact for Pricing | 0 | |||
![]() Bisco Industries | MS28774-446 - SCARF CUT | MS O-RINGS | 39 | |||
| RFCAERNFTF | MISC. INDUSTRIAL CONNECTORS | 2 | ||||
| MIL-S-22473 SURF COND | Military Specifications | 1 | ||||
| Z-RFC-P30 | MISCELLANEOUS | 1 | ||||
![]() Rochester Electronics | NCP392CRFCCT1G | onsemi | Power Supply Support Circuit, PBGA12 RoHS : Compliant |
| 219,000 | |
| NCP456RFCCT2G | onsemi | Power Supply Support Circuit, Fixed, 1 Channel, PBGA6 RoHS : Compliant |
| 21,000 | ||
| NCP392DRFCCT1G | onsemi | Power Supply Support Circuit, Adjustable, 1 Channel, PBGA12 RoHS : Compliant |
| 93,708 | ||
| NCP458RFCT2G | onsemi | Buffer/Inverter Based Peripheral Driver, 1 Driver, PBGA8 RoHS : Compliant |
| 16,835 | ||
| NCP392ARFCCT1G | onsemi | Power Supply Support Circuit, Adjustable, 1 Channel, PBGA12 RoHS : Compliant |
| 1,157,125 | ||
| AUIRFC8407TR | Infineon Technologies AG | 30V-250V N-Channel Power MOSFET Bare Die RoHS : Not Compliant |
| 116,606 | ||
| DDB2U60N12W3RFC39BPSA1 | Infineon Technologies AG | DDB2U60N12W3RF_C39 - Low Power Easy RoHS : Compliant |
| 568 | ||
| AUIRFC8407TR | International Rectifier | 30V-250V N-Channel Power MOSFET Bare Die RoHS : Not Compliant |
| 306,276 | ||
| ISL9000IRFCZ | Intersil Corporation | Fixed Positive LDO Regulator, 2 Output, 2.5V1, 1.8V2, PDSO10 RoHS : Compliant |
| 19 | ||
ISL9014IRFCZ![]() | Intersil Corporation | Fixed Positive LDO Regulator RoHS : Compliant |
| 42 | ||
ISL9014IRFCZ-T![]() | Intersil Corporation | Fixed Positive LDO Regulator, 2 Output, 2.5V1, 1.8V2, CMOS, PDSO10 RoHS : Compliant |
| 5,950 | ||
| DF2646RFC20J | Renesas Electronics Corporation | Microcontroller 16-Bit, 256KB Flash, H8S/2600 RoHS : Compliant |
| 13 | ||
| M3030RFCPGP#U5 | Renesas Electronics Corporation | IC MCU 16BIT 128KB FLASH 48LQFP RoHS : Compliant |
| 1,734 | ||
![]() Sager | ACM20-4-AC1-R-F-C | Murata Power Solutions | Digital Panel Meters AC POWR METER-100A FREQUENCY |
| 53 | |
| A4/0-38RF-C | Panduit Corp | Terminals Battery Cable Lug, 2 AWG, 5/16 Stud, 90 |
| 0 | ||
| HBL5262RFC1W | Hubbell Incorporated | RF CTRL RCPT, SPLT CIRC, 15A, 5-15R, WH |
| 0 | ||
| HBL5362RFC1GY | Hubbell Incorporated | RF CTRL RCPT, SPLT CIRC, 20A, 5-20R, GY |
| 0 | ||
| HBL5362RFC2GN | Hubbell Incorporated | RF CTRL RCPT, FULL CTRLD, 20A, 5-20R, GN |
| 0 | ||
| ROCKERVVEORFCS00-000 | Carling Technologies | Switch Actuators |
| 0 | ||
| HRFC-P3-H(61) | Hirose Electric Co Ltd | Fiber Optic Connectors | 0 | |||
| A2/0-12RF-C | Panduit Corp | Terminals Battery Cable Lug, 2 AWG, 1/4 Stud, 45 |
| 0 | ||
| HBL5362RFC1I | Hubbell Incorporated | RF CTRL RCPT, SPLT CIRC, 20A, 5-20R, IV |
| 0 | ||
| HBL5262RFC1GY | Hubbell Incorporated | RF CTRL RCPT, SPLT CIRC, 15A, 5-15R, GY |
| 0 | ||
| HBL5262RFC2GN | Hubbell Incorporated | RF CTRL RCPT, FULL CONT, 15A, 5-15R, GN |
| 0 | ||
| NCMH1-RFC | Panduit Corp | Wire Ducting & Raceways REPLACEMENT FRONT COVER |
| 0 | ||
| 166LRF-CS737 | ABB Group | 15KV ELBOW PROBE W-CS737 |
| 0 | ||
| HBL2182RFC1GN | Hubbell Incorporated | RF CTRL HGR, SPLT CIRC, 20A, 5-20R, GN |
| 0 | ||
| HBL5362RFC2W | Hubbell Incorporated | RF CTRL RCPT, FULL CTRLD, 20A, 5-20R, WH |
| 0 | ||
![]() Coilcraft Direct | RFC0810B-105KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 773 | |
| RFC1010B-474KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 659 | ||
| RFC1010B-564KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 624 | ||
| RFC0810B-335KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 240 | ||
| RFC0807B-105KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 227 | ||
| RFC1010B-104KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 225 | ||
| RFC1010B-186KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 148 | ||
| RFC0807B-153KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 120 | ||
| RFC0807B-565KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 14 | ||
| RFC0807B-823KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 0 | ||
| RFC0810B-394KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 0 | ||
| RFC0810B-475KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 0 | ||
| RFC0810B-685KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 0 | ||
| RFC0807B-394KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 0 | ||
| RFC0807B-475KE | Coilcraft Inc | Power inductor, 10% tol, RoHS, halogen-free RoHS : Compliant |
| 0 | ||
![]() TME | RFC02MM2STR | ROHM Semiconductor | Diode: rectifying; SMD; 200V; 500mA; 35ns; Ifsm: 10A; Ir: 1uA RoHS : Compliant |
| 5,484 | |
| RF-C35H1-IRD-FR(45MIL) | Shenzhen Refond Optoelect | LED; Case (mm): 3535; 120°; convex; 1.8÷2.6VDC; 3.45x3.45x1.95mm |
| 476 | ||
| RF-C36D0-UTP-AR | Shenzhen Refond Optoelect | LED; UV-B; 120°; 80mA; 800mW; λd: 305÷311nm; 4.5÷7.5VDC; SMD |
| 466 | ||
| TLP785(D4-GR.F(C | Toshiba America Electronic Components | Optocoupler; THT; Ch: 1; OUT: transistor; Uinsul: 5kV; Uce: 80V; DIP4 |
| 419 | ||
| RF-C36N0-URT-AR | Shenzhen Refond Optoelect | LED; UV-C; 120°; 80mA; 800mW; λd: 270÷280nm; 4.5÷7.5VDC; SMD |
| 343 | ||
| CRF CX D | ILME UK Ltd | Keying screw; female |
| 293 | ||
| CAS17C681KARFC | KEMET Corporation | Capacitor: ceramic; X1/Y2; 680pF; 250VAC; X7R; ±10%; SMD; 1808 RoHS : Compliant |
| 270 | ||
| TLP785(GR.F(C | Toshiba America Electronic Components | Optocoupler; THT; Ch: 1; OUT: transistor; Uinsul: 5kV; Uce: 80V; DIP4 |
| 209 | ||
| RFC570M-EIW-DRS | Raystar Optronics Inc | Display: TFT; 5.7"; 320x240; Illumin: LED; Dim: 141.12x101.55x15mm |
| 11 | ||
| RFC350M-EIW-DRS | Raystar Optronics Inc | Display: TFT; 3.5"; 320x240; Illumin: LED; Dim: 100x66.44x8.9mm; RGB |
| 10 | ||
| RFC57EB-AIW-DNG | Raystar Optronics Inc | Display: TFT; 5.7"; 320x240; Illumin: LED; Dim: 160x109x9.985mm; RGB |
| 5 | ||
| SOLX/RF/CL/W/S | Eaton Corporation | Signaller: lighting; flashing light; red; Solista Maxi; 9÷60VDC |
| 0 | ||
| CAS21C472KARFC | KEMET Corporation | Capacitor: ceramic; X1/Y2; 4.7nF; 250VAC; X7R; ±10%; SMD; 2220 RoHS : Compliant |
| 0 | ||
| RFC350X-AWH-DNN | Raystar Optronics Inc | Display: TFT; 3.5"; 320x240; Illumin: LED; Dim: 76.84x63.84x3.27mm |
| 0 | ||
| DDB2U60N12W3RFC39B | Infineon Technologies AG | Bridge rectifier: single-phase |
| 0 | ||
![]() Ameya Holding Limited | RFC02MM2STR | ROHM Semiconductor | RoHS : Compliant |
| 65 | |
![]() ComSIT USA | ADM809XCSURFCAM | Analog Devices Inc | Electronic Component RoHS : Not Compliant | 20,000 | ||
| MFR3100RFC | TT Electronics Welwyn Components | Fixed Resistor, Metal Film, 0.4W, 100ohm, 200V, 1% +/-Tol, 50ppm/Cel, Through Hole Mount RoHS : Compliant | 15,000 | |||
| 3301C44RRFCD1T1U1CHAM | Everlight Electronics Co Ltd | DIA 3 PIRANHA LED Single Color LED, Red, Water Clear Colorless, T-1, 3mm RoHS : Compliant | 5,360 | |||
| MFR3422RFC | TT Electronics Welwyn Components | Fixed Resistor, Metal Film, 0.4W, 422ohm, 200V, 1% +/-Tol, 50ppm/Cel, Through Hole Mount RoHS : Compliant | 5,000 | |||
| SAKC164CW4RFCA | Infineon Technologies AG | Electronic Component RoHS : Compliant | 4,687 | |||
| SAKC164SM4RFCA | Infineon Technologies AG | 16-BIT SINGLE-CHIP MICROCONTROL LER Microcontroller, CMOS RoHS : Compliant | 1,900 | |||
| AUIRFC3805TR | International Rectifier | Electronic Component RoHS : Not Compliant | 1,000 | |||
![]() GLYN GmbH & Co. KG | CAB-GRE-RFC7_KABEL_Y | Great Ideal Co Ltd | IDC 2.54-2*5P TO 51021-0800 & A1255H-06P Wireÿ:U | 2 | ||
![]() Interstate Connecting Components | PKT06RFC22-22P | Amphenol Aerospace | 5015 HIGH POWER STR PLG 4#8 PIN ENP | 0 | ||
| MFM062RFC | Amphenol PCD | FIBRE | 0 | |||
| PKT06RFC36-5P | Amphenol Aerospace | 0 | ||||
| PKT09RFC32-17R | Amphenol Aerospace | 0 | ||||
| PKT06RFC32-15T | Amphenol Aerospace | 5015 POWER THRD COUPLING PLUG CRIMP 2#0 6#12 TEMPER GRP SKT | 0 | |||
| PKT06RFC32-17P | Amphenol Aerospace | HIGH PWR THRD COUPL STR PLUG ELECT CRIMP 4#4 HIGH CRNT PIN | 0 | |||
| PKB06RFC22-22R | Amphenol Aerospace | 5015 HIGH PWR W/ BAYONET COUP STR PLUG 4#8 RADSOK ENP | 0 | |||
| PKT06RFC24-10S | Amphenol Aerospace | 5015 STR PLG 7#8 SKT ENP | 0 | |||
| PKT06RFC36-3P | Amphenol Aerospace | 0 | ||||
| MFM072RFC009 | Amphenol PCD | FIBRE | 0 | |||
| PKT06RFC32-15R | Amphenol Aerospace | PK SKT TEMPER GRIP CONNECTORS | 0 | |||
| PKT02RFC22-22R | Amphenol Aerospace | 5015 HIGH POWER BX MNT RCP 4#8 RADSOK ENP | 0 | |||
| PKT02RFC32-01T | Amphenol Aerospace | 91-716677-01CT | 0 | |||
| MFM002RFC011 | Amphenol PCD | FIBRE | 0 | |||
| PKB06RFC24-22T | Amphenol Aerospace | 5015 HIGH PWR W/ BAYONET COUP STR PLUG 4#8 TEMPERGRIP SKT | 0 | |||
![]() NexGen Digital | RFCS04025600CJTT1 | Vishay Huntington | 2,587 | |||
![]() PEI Genesis | PKB05RFC24-12PX | Amphenol Corporation |
| 0 | ||
| PKB05RFC24-12PY | Amphenol Corporation |
| 0 | |||
![]() Richardson RFPD | INTRFCEV | Microchip Technology Inc | Power Supply And Interface Noise Board RoHS : Compliant |
| 0 | |
| P2RFC-2275-420 | RF Industries | CBL ASSY; 4.3/10 MALE TO 4.3/10 MALE; TFT-402LF; P RoHS : Not Compliant | 0 | |||
| P2RFC-2275-540 | RF Industries | CBL ASSY; 4.3/10 MALE TO 4.3/10 MALE; TFT-402LF; P RoHS : Not Compliant |
| 0 | ||
![]() Rutronik | RFCT-SMA-CAP-GS-1 | Global Connector Technology | RF Coax Conn CAP SMA IP67 W RoHS : Compliant |
| 200 | |
![]() Chip 1 Exchange | D12-100-562R-FCS | Vishay Intertechnologies | INSTOCK | 340,000 | ||
| D12-100-715R-FCS | Vishay Intertechnologies | INSTOCK | 220,000 | |||
| D12-100-768R-FCS | Vishay Intertechnologies | INSTOCK | 170,000 | |||
| D12681RFCS | Vishay Intertechnologies | INSTOCK | 5,000 | |||
| D12681RFCS | Vishay Intertechnologies | INSTOCK | 5,000 | |||
| D25732RFCS | Vishay Roederstein | INSTOCK | 5,000 | |||
| D25820RFCS | Vishay Roederstein | INSTOCK | 5,000 | |||
| D25511RFCS-1 | INSTOCK | 5,000 | ||||
| D12931RFCS | INSTOCK | 5,000 | ||||
| D12124RFCS | Vishay Draloric | INSTOCK | 4,950 | |||
| D12274RFCS | Vishay Roederstein | INSTOCK | 4,900 | |||
| D25604RFC | Vishay Roederstein | INSTOCK | 3,345 | |||
| D25215RFCS | Vishay Roederstein | INSTOCK | 2,715 | |||
| D25649RFCS | Vishay Roederstein | INSTOCK | 2,170 | |||
| RFC16474F | Dubilier | INSTOCK | 1,500 | |||
![]() Avnet Abacus | H839RFCA | TE Connectivity | Resistor 39 Ohm 1 250 mW Axial Leaded Metal Film Precision (Alt: 1-1879625-5) RoHS : Compliant | 0 | ||
| H4P150RFCA | TE Connectivity | Res Metal Film 150 Ohm 1 1W 50ppmC Conformal AXL ThruHole Bandoliered (Alt: 2-1879621-9) RoHS : Compliant | 0 | |||
| H4P910RFCA | TE Connectivity | Res Metal Film 910 Ohm 1 1W 50ppmC Conformal AXL ThruHole Bandoliered (Alt: 4-1879621-8) RoHS : Compliant | 0 | |||
| 228ADS1ARFCWD | CTS Corporation | (Alt: 228ADS1ARFCWD) RoHS : Compliant | 0 | |||
| 228ADS2ARFCAE | CTS Corporation | (Alt: 228ADS2ARFCAE) RoHS : Compliant | 0 | |||
| CAS17C102KARFC | KEMET Corporation | Ceramic Suppression Capacitor 1000 pF 10 X1 Y2 250 VAC 250 VAC 1808 4520 Metric (Alt: CAS17C102KARFC) RoHS : Compliant | 0 | |||
| CAS17C151MARFC | KEMET Corporation | Ceramic Suppression Capacitor 150 pF 20 X1 Y2 250 VAC 250 VAC 1808 4520 Metric (Alt: CAS17C151MARFC) RoHS : Compliant | 0 | |||
| CAS17C221KARFC | KEMET Corporation | Ceramic Suppression Capacitor 220 pF 10 X1 Y2 250 VAC 250 VAC 1808 4520 Metric (Alt: CAS17C221KARFC) RoHS : Compliant | 0 | |||
| CAS18C181KARFC | KEMET Corporation | Ceramic Suppression Capacitor 180 pF 10 X1 Y2 250 VAC 250 VAC 1812 4532 Metric (Alt: CAS18C181KARFC) RoHS : Compliant | 0 | |||
| CAS21C102JARFC | KEMET Corporation | Ceramic Suppression Capacitor 1000 pF 5 X1 Y2 250 VAC 250 VAC 2220 5650 Metric (Alt: CAS21C102JARFC) RoHS : Compliant | 0 | |||
| CAS21C221JARFC | KEMET Corporation | Ceramic Suppression Capacitor 220 pF 5 X1 Y2 250 VAC 250 VAC 2220 5650 Metric (Alt: CAS21C221JARFC) RoHS : Compliant | 0 | |||
| CAS21C561MARFC | KEMET Corporation | Ceramic Suppression Capacitor 560 pF 20 X1 Y2 250 VAC 250 VAC 2220 5650 Metric (Alt: CAS21C561MARFC) RoHS : Compliant | 0 | |||
| CAS26C122MARFC | KEMET Corporation | Ceramic Suppression Capacitor 1200 pF 20 X1 Y2 250 VAC 250 VAC 2211 5728 Metric (Alt: CAS26C122MARFC) RoHS : Compliant | 0 | |||
| CAS26C182KARFC | KEMET Corporation | Ceramic Suppression Capacitor 1800 pF 10 X1 Y2 250 VAC 250 VAC 2211 5728 Metric (Alt: CAS26C182KARFC) RoHS : Compliant | 0 | |||
| HRFC-AT11K-A05(60) | Hirose Electric Co Ltd | (Alt: CL0820-8005-8-60) RoHS : Compliant | 0 | |||
![]() Avnet Asia | CAS17C102KARFC | KEMET Corporation | Ceramic Suppression Capacitor, 1000 pF, ? 10%, X1 / Y2, 250 VAC, 250 VAC, 1808 [4520 Metric] (Alt: CAS17C102KARFC) RoHS : Compliant | 0 | ||
| CAS17C331KARFC | KEMET Corporation | Ceramic Suppression Capacitor, 330 pF, ? 10%, X1 / Y2, 250 VAC, 250 VAC, 1808 [4520 Metric] (Alt: CAS17C331KARFC) RoHS : Compliant |
| 0 | ||
| CAS21C472KARFC | KEMET Corporation | Ceramic Suppression Capacitor, 4700 pF, ? 10%, X1 / Y2, 250 VAC, 250 VAC, 2220 [5650 Metric] (Alt: CAS21C472KARFC) RoHS : Compliant | 0 | |||
| NCP456RFCCT2G | onsemi | Load Switch, 2 A Single, For Low Voltage Rail (Alt: NCP456RFCCT2G) RoHS : Compliant | 0 | |||
| QTLP650C4TR/FC15-21SYGC/S530-E2/TR8 | Everlight Electronics Co Ltd | (Alt: QTLP650C4TR/FC15-21SYGC/S530-E2/TR8) RoHS : Compliant | 0 | |||
| RFCM3328TR13 | Qorvo | (Alt: RFCM3328TR13) RoHS : Compliant | 0 | |||
| CAS17C102MARFC | KEMET Corporation | (Alt: CAS17C102MARFC) RoHS : Compliant | 0 | |||
| CAS26C222KARFC | KEMET Corporation | Ceramic Suppression Capacitor, 2200 pF, ? 10%, X1 / Y2, 250 VAC, 250 VAC, 2211 [5728 Metric] (Alt: CAS26C222KARFC) RoHS : Compliant | 0 | |||
| TC75W71FU,RF(CB | Toshiba America Electronic Components | TOSTC75W71FU,RF(CB CMOS LINEAR IC (Alt: TC75W71FU,RF(CB) RoHS : Compliant | 0 | |||
| RFCM3327TR13 | Qorvo | (Alt: RFCM3327TR13) RoHS : Compliant | 0 | |||
| R5F10RFCAFP#10 | Renesas Electronics Corporation | Microcontroller 16-Bit RL78 CISC 32KB Flash 44-Pin LQFP (Alt: R5F10RFCAFP#10) RoHS : Compliant | 0 | |||
| R5F10RFCAFP#50 | Renesas Electronics Corporation | MCU 16-Bit RL78 CISC 32KB Flash 1.6V to 5.5V 44-Pin LQFP Tray (Alt: R5F10RFCAFP#50) RoHS : Compliant | 0 | |||
| CAS18C102KARFC | KEMET Corporation | (Alt: CAS18C102KARFC) RoHS : Compliant | 0 | |||
| TLP785(GR,F(C | Toshiba America Electronic Components | (Alt: TLP785(GR,F(C) RoHS : Compliant | 0 | |||
![]() Avnet Silica | 1320XRFC | NXP Semiconductors | Daughter Card RF Zigbee Communication Networking MC9S08 (Alt: 1320XRFC) RoHS : Compliant | 0 | ||
| SRFC015-100 | Antenova M2M | Zhengi flexible antenna 100mm cable Ipex Cellular 3G 4G and LTE (Alt: SRFC015-100) RoHS : Compliant | 0 | |||
| SRFC025-200 | Antenova M2M | AVIA 3G FLEXIBLE ANTENNA 200mm cable (Alt: SRFC025-200) RoHS : Compliant | 0 | |||
| SRFC025-100 | Antenova M2M | AVIA 3G FLEXIBLE ANTENNA 100mm cable (Alt: SRFC025-100) RoHS : Compliant | 0 | |||
| RFCM3328TR13 | Qorvo | (Alt: RFCM3328TR13) RoHS : Compliant | 0 | |||
| RFC02MM2STFTR | ROHM Semiconductor | Super Fast Recovery Diode 200V 500mA 2Pin SOD123L TR (Alt: RFC02MM2STFTR) RoHS : Compliant | 0 | |||
| NCP456RFCCT2G | onsemi | Load Switch 2 A Single For Low Voltage Rail (Alt: NCP456RFCCT2G) RoHS : Compliant | 0 | |||
| R5F10RFCGFP#50 | Renesas Electronics Corporation | (Alt: R5F10RFCGFP#50) RoHS : Compliant | 0 | |||
| STM32WC-RFCKIT | STMicroelectronics | Development Kit For STM32W RF Wireless Control (Alt: STM32WC-RFCKIT) RoHS : Compliant | 0 | |||
| R5F10RFCAFP#10 | Renesas Electronics Corporation | (Alt: R5F10RFCAFP#10) RoHS : Compliant | 0 | |||
| M3030RFCPGP#33 | Renesas Electronics Corporation | 16BIT MCU M16C30P (Alt: M3030RFCPGP#33) RoHS : Compliant | 0 | |||
| R5F10RFCAFP#50 | Renesas Electronics Corporation | (Alt: R5F10RFCAFP#50) RoHS : Compliant | 0 | |||
![]() Component Electronics, Inc | D11010RFCS | Vishay Intertechnologies | IN STOCK SHIP TODAY |
| 3,000 | |
| RFC-8716-60 | RF CONN | IN STOCK SHIP TODAY |
| 117 | ||
| RFC-8715-14 | RF CONN | IN STOCK SHIP TODAY |
| 46 | ||
| RFC-8714-60 | RF CONN | IN STOCK SHIP TODAY |
| 46 | ||
| RFC1010B-104KE | Coilcraft Inc | IN STOCK SHIP TODAY RoHS : Compliant |
| 10 | ||
| SR-FC-HUB | IN STOCK SHIP TODAY | 5 | ||||
| 194R-FCA2 | AB Connectors Ltd | IN STOCK SHIP TODAY |
| 3 | ||
![]() EBV Elektronik | TLP785F(GR,F(C | Toshiba America Electronic Components | Optocoupler 1CH Open Collector 5000Vrms 4Pin DIP Tube (Alt: TLP785F(GR,F(C) RoHS : Compliant | 10,600 | ||
| TLP785(GR,F(C | Toshiba America Electronic Components | Optocoupler DCIN 1CH Transistor DCOUT 4Pin DIP (Alt: TLP785(GR,F(C) RoHS : Compliant | 3,400 | |||
| TLP785(D4-GR,F(C | Toshiba America Electronic Components | Optocoupler DCIN 1CH DCOUT 4Pin PDIP SMD (Alt: TLP785(D4-GR,F(C) RoHS : Compliant | 1,600 | |||
| NCP456RFCCT2G | onsemi | Load Switch 2 A Single For Low Voltage Rail (Alt: NCP456RFCCT2G) RoHS : Compliant | 0 | |||
| M3030RFCPGP#35 | Renesas Electronics Corporation | 16BIT MCU M16C30P (Alt: M3030RFCPGP#35) RoHS : Compliant | 0 | |||
| CL8068404069418S RFCP | Intel Corporation | Intel Core i79750H Processor 12M Cache up to 450 GHz FCBGA14F Tray (Alt: 999CXN) RoHS : Compliant | 0 | |||
| CL8068404069606S RFCR | Intel Corporation | Intel Core i59300H Processor 8M Cache up to 410 GHz FCBGA14F Tray (Alt: 999CXR) RoHS : Compliant | 0 | |||
![]() FDH Electronics | PKB06RFC24-10T | Amphenol Aerospace | Circular Conn | 13 | ||
| PKT07RFC20-22P | Amphenol Aerospace | Circular Conn | 5 | |||
| PKB06RFC24-12T | Amphenol Aerospace | Circular Conn | 5 | |||
| RFC1035-116 ISS A | W L Gore & Associates | Cable Assembly |
| 3 | ||
| PERF CARD STK | FDH Electronics | Wire Placehldr | 2 | |||
![]() Flip Electronics | R5F10RFCAFP#30 | Renesas Electronics Corporation | Stock RoHS : Compliant | 1,221 | ||
![]() Master Electronics | H4P150RFCA | TE Connectivity | H4P 150R 1% 50PPM Thin Film Leaded Precision resistors Fixed Resistor RoHS : Compliant |
| 0 | |
| H4P910RFCA | TE Connectivity | H4P 910R 1% 50PPM Thin Film Leaded Precision resistors Fixed Resistor RoHS : Compliant |
| 0 | ||
| H839RFCA | TE Connectivity | H8 39R 1% 50PPM Thin Film Leaded Precision resistors Fixed Resistor RoHS : Compliant |
| 0 | ||
| CRF-CX-D | Mencom Corporation | Zinc Plated Iron Female Coding Pin for MIXO RoHS : Compliant |
| 0 | ||
| H4P240RFCA | TE Connectivity | H4P 240R 1% 50PPM Thin Film Leaded Precision resistors Fixed Resistor RoHS : Compliant |
| 0 | ||
| H868RFCA | TE Connectivity | H8 68R 1% 50PPM Thin Film Leaded Precision resistors Fixed Resistor RoHS : Compliant |
| 0 | ||
| H4P56RFCA | TE Connectivity | H4P 56R 1% 50PPM Thin Film Leaded Precision resistors Fixed Resistor RoHS : Compliant |
| 0 | ||
| H4P13RFCA | TE Connectivity | H4P 13R 1% 50PPM Thin Film Leaded Precision resistors Fixed Resistor RoHS : Compliant |
| 0 | ||
| H4P620RFCA | TE Connectivity | H4P 620R 1% 50PPM Thin Film Leaded Precision resistors Fixed Resistor RoHS : Compliant |
| 0 | ||
| H8150RFCA | TE Connectivity | H8 150R 1% 50PPM Thin Film Leaded Precision resistors Fixed Resistor RoHS : Compliant |
| 0 | ||
| H862RFCA | TE Connectivity | H8 62R 1% 50PPM Thin Film Leaded Precision resistors Fixed Resistor RoHS : Compliant |
| 0 | ||
| H8866RFCA | TE Connectivity | H8 866R 1% 50PPM Thin Film Leaded Precision resistors Fixed Resistor RoHS : Compliant |
| 0 | ||
| H8910RFCA | TE Connectivity | H8 910R 1% 50PPM Thin Film Leaded Precision resistors Fixed Resistor RoHS : Compliant |
| 0 | ||
| H4P390RFCA | TE Connectivity | H4P 390R 1% 50PPM Thin Film Leaded Precision resistors Fixed Resistor RoHS : Compliant |
| 0 | ||
| H4P51RFCA | TE Connectivity | H4P 51R 1% 50PPM Thin Film Leaded Precision resistors Fixed Resistor RoHS : Compliant |
| 0 | ||
![]() Neutron USA | SRFC4WTRFL48 | Eaton Corporation | WATERFALL ADPT KIT FIBER ROUTING 48IN |
| 1 | |
| SRFC4WTRFL36 | Eaton Corporation | WATERFALL ADPT KIT FIBER ROUTING 36IN |
| 0 | ||
| SRFC5STR48 | Eaton Corporation | STRAIGHT CH SECTION FIBER ROUTING |
| 0 | ||
| SRFC5CPL10 | Eaton Corporation | ADPT FITTING FIBER ROUTING 5 10IN |
| 0 | ||
| SRFC5CPL5 | Eaton Corporation | TRIPP LITE SERIES TOOLLESS COUPLER FOR FIBER ROUTING SYSTEM, 120 MM (5 IN.) - AL |
| 0 | ||
| SRFC5CAP | Eaton Corporation | TRIPP LITE SERIES TOOLLESS END CAP FOR FIBER ROUTING SYSTEM, 120 MM (5 IN.) - AL |
| 0 | ||
| SRFC4WTRFL | Eaton Corporation | WATERFALL ADPT KIT FOR FIBER ROUTING |
| 0 | ||
| SRFC5DROP | Eaton Corporation | TRUMPET DROP OUT KIT FIBER ROUTING 120MM |
| 0 | ||
| SRFC5JUNT4 | Eaton Corporation | HORIZONTAL 4 WAY JUNCTION FIBER ROUTING |
| 0 | ||
| SRFC10CAP | Eaton Corporation | EATON TRIPP LITE SERIES TOOLLESS END CAP FOR FIBER ROUTING SYSTEM, 240 MM (10 IN |
| 0 | ||
| SRFC5ELBOW | Eaton Corporation | HORIZONTAL 90 DEGREE ELBOW FIBER ROUTING |
| 0 | ||
| SRFC10ELBOW | Eaton Corporation | HORIZONTAL 90 DEGREE ELBOW FIBER ROUTING |
| 0 | ||
| SRFC5JUNT | Eaton Corporation | TRIPP LITE SERIES TOOLLESS HORIZONTAL 90-DEGREE T-JUNCTION FOR FIBER ROUTING SYS |
| 0 | ||
![]() TE Connectivity | 6ESRFC3 | TE Connectivity | 6ESRFC3=F6987 Current Rating: 15 A Filter Connector Type: IEC 60320-1 C-13 Filter Connector Style: Female Receptacle Output Termination Type: 1/4" Faston Iec Unfiltered Inlets & Corcom Sr Series | 15 A IEC 60320-1 C-13 Female Receptacle 1/4" Faston | Part Number: 6ESRFC3 | Internal Number: 1609133-2 | TE Connectivity RoHS : Compliant |
| 1,544 | |
![]() Venkel Ltd. | RFCA0402A1T | VENKEL LTD | RF Ceramic Antenna;0402;2.45GHz RoHS : Not Compliant | 0 | ||
| RFCA1206A1T | VENKEL LTD | RF Ceramic Antenna;1206;2.4GHz RoHS : Not Compliant | 0 | |||
| RFCA1206A5T | VENKEL LTD | RF Ceramic Antenna;1206;2.4GHz RoHS : Not Compliant | 0 | |||
| RFCA1206K1T | VENKEL LTD | RF Ceramic Antenna;1206;5GHz RoHS : Not Compliant | 0 | |||
| RFCA1206Y1T | VENKEL LTD | RF Ceramic Antenna;1206;7.37GHz RoHS : Not Compliant | 0 | |||
| RFCA0805A3T | VENKEL LTD | RF Ceramic Antenna;0805;2.4GHz RoHS : Not Compliant | 0 | |||
| RFCA1206AAT | VENKEL LTD | RF Ceramic Antenna;1206;2.4GHz RoHS : Not Compliant | 0 | |||
| RFCA3224YAT | VENKEL LTD | RF Ceramic Antenna;3224;6.5GHz RoHS : Not Compliant | 0 | |||
| RFCA0805A0T | VENKEL LTD | RF Ceramic Antenna;0805;2.45GHz RoHS : Not Compliant | 0 | |||
| RFCA1206E0T | VENKEL LTD | RF Ceramic Antenna;1206;1.575GHz RoHS : Not Compliant | 0 | |||
| RFCA3708A0T | VENKEL LTD | RF Ceramic Antenna;3708;2.4GHz RoHS : Not Compliant | 0 | |||
![]() Vyrian | RFC20-5R0K-RC | Allied Components International | General Purpose Inductor, 5uH, 10%, 1 Element | 17,671 | ||
| CAS21C472KARFC | KEMET Corporation | Ceramic Capacitor, Multilayer, Ceramic, 10% +Tol, 10% -Tol, X7R, 15% TC, 0.0047uF, Surface Mount, 2220 | 17,124 | |||
| RFC0807BV-105KE | Coilcraft Inc | General Purpose Inductor, 1000uH, 10%, 1 Element, Ferrite-Core RoHS : Compliant | 15,002 | |||
| IRFC7314B | Infineon Technologies AG | 12,015 | ||||
| CAS17C102KARFC | KEMET Corporation | Ceramic Capacitor, Multilayer, Ceramic, 10% +Tol, 10% -Tol, X7R, 15% TC, 0.001uF, Surface Mount, 1808 | 7,959 | |||
| NCP392DRFCCT1G | onsemi | Power Supply Support Circuit, Adjustable, 1 Channel, PBGA12 RoHS : Compliant | 4,091 | |||
| XQVU095-1RFC1517I | AMD Xilinx | Field Programmable Gate Array, 1176000-Cell, PBGA1517 RoHS : Not Compliant | 3,989 | |||
| XQVU095-2RFC1517I | AMD Xilinx | Field Programmable Gate Array, 1176000-Cell, PBGA1517 RoHS : Not Compliant | 3,450 | |||
| XQVU065-2RFC1517E | AMD Xilinx | Field Programmable Gate Array, 783300-Cell, PBGA1517 RoHS : Not Compliant | 2,845 | |||
| XQVU065-1RFC1517M | AMD Xilinx | Field Programmable Gate Array, 783300-Cell, PBGA1517 RoHS : Not Compliant | 2,800 | |||
| XQVU065-2RFC1517I | AMD Xilinx | Field Programmable Gate Array, 783300-Cell, PBGA1517 RoHS : Not Compliant | 1,605 | |||
| XQVU095-1RFC1517M | AMD Xilinx | Field Programmable Gate Array, 1176000-Cell, PBGA1517 RoHS : Not Compliant | 1,593 | |||
| MFC-20KRFC | Honda Tsushin Kogyo | Board Connector, 20 Contact(s), 2 Row(s), Female, 0.1 inch Pitch, Black Insulator, Plug | 780 | |||
| RFC-20 | Kitagawa Industries | Ferrite Cores/Accessories | 653 | |||
| IRFC110 | International Rectifier | Power Field-Effect Transistor, 3.5A I(D), 100V, 0.6ohm, 1-Element, N-Channel, Silicon, Metal-oxide Semiconductor FET RoHS : Not Compliant | 475 | |||
![]() Win Source Electronics | RFCMF1220100M3T | Walsin Technology Corporation | CMC 300MA 2LN 80 OHM SMD RoHS : Compliant |
| 60,590 | |
| HI3516ARFCV200 | HiSilicon Technologies Co Ltd |
| 355 | |||
| HI3521RFCV100 | HiSilicon Technologies Co Ltd |
| 268 |
| Does ALLDATASHEET help your business so far? [ DONATE ] |
About Alldatasheet | Advertisement | Contact us | Privacy Policy | Link to Datasheet | Link Exchange | Manufacturer List All Rights Reserved짤Alldatasheet.com |
| Russian : Alldatasheetru.com | Korean : Alldatasheet.co.kr | Spanish : Alldatasheet.es | French : Alldatasheet.fr | Italian : Alldatasheetit.com Portuguese : Alldatasheetpt.com | Polish : Alldatasheet.pl | Vietnamese : Alldatasheet.vn Indian : Alldatasheet.in | Mexican : Alldatasheet.com.mx | British : Alldatasheet.co.uk | New Zealand : Alldatasheet.co.nz |
|
Family Site : ic2ic.com |
icmetro.com |